% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/method-accessor.R
\name{MPSE-accessors}
\alias{MPSE-accessors}
\alias{[,MPSE,ANY,ANY,ANY-method}
\alias{colData<-,MPSE,DataFrame-method}
\alias{colData<-,MPSE,NULL-method}
\alias{tax_table}
\alias{tax_table,MPSE-method}
\alias{tax_table,MPSE}
\alias{tax_table,tbl_mpse-method}
\alias{tax_table,tbl_mpse}
\alias{tax_table,grouped_df_mpse-method}
\alias{tax_table,grouped_df_mpse}
\alias{otutree}
\alias{otutree,MPSE-method}
\alias{otutree,MPSE}
\alias{otutree,tbl_mpse-method}
\alias{otutree,tbl_mpse}
\alias{otutree,group_df_mpse}
\alias{otutree<-}
\alias{otutree<-,MPSE,treedata-method}
\alias{otutree<-,MPSE}
\alias{otutree<-,MPSE,phylo-method}
\alias{otutree<-,MPSE,NULL-method}
\alias{otutree<-,tbl_mpse,treedata-method}
\alias{otutree<-,tbl_mpse}
\alias{otutree<-,grouped_df_mpse,treedata-method}
\alias{otutree<-,grouped_df_mpse}
\alias{otutree<-,tbl_mpse,NULL-method}
\alias{otutree<-,grouped_df_mpse,NULL-method}
\alias{taxatree}
\alias{taxatree,MPSE-method}
\alias{taxatree,MPSE}
\alias{taxatree,tbl_mpse-method}
\alias{taxatree,tbl_mpse}
\alias{taxatree,grouped_df_mpse-method}
\alias{taxatree,grouped_df_mpse}
\alias{taxatree<-}
\alias{taxatree<-,MPSE,treedata-method}
\alias{taxatree<-,MPSE}
\alias{taxatree<-,MPSE,NULL-method}
\alias{taxatree<-,tbl_mpse,treedata-method}
\alias{taxatree<-,tbl_mpse}
\alias{taxatree<-,tbl_mpse,NULL-method}
\alias{taxatree<-,grouped_df_mpse,treedata-method}
\alias{taxatree<-,grouped_df_mpse}
\alias{taxatree<-,grouped_df_mpse,NULL-method}
\alias{taxonomy<-}
\alias{taxonomy<-,MPSE,data.frame-method}
\alias{taxonomy<-,MPSE}
\alias{taxonomy<-,MPSE,matrix-method}
\alias{taxonomy<-,MPSE,taxonomyTable-method}
\alias{taxonomy<-,MPSE,NULL-method}
\alias{refsequence}
\alias{refsequence,MPSE-method}
\alias{refsequence,MPSE}
\alias{refsequence<-}
\alias{refsequence<-,MPSE,XStringSet-method}
\alias{refsequence<-,MPSE}
\alias{refsequence<-,MPSE,NULL-method}
\alias{rownames<-,MPSE-method}
\alias{rownames<-,MPSE}
\title{MPSE accessors}
\usage{
\S4method{[}{MPSE,ANY,ANY,ANY}(x, i, j, ..., drop = TRUE)

\S4method{colData}{MPSE,DataFrame}(x, ...) <- value

\S4method{colData}{MPSE,NULL}(x, ...) <- value

tax_table(object)

\S4method{tax_table}{MPSE}(object)

\S4method{tax_table}{tbl_mpse}(object)

\S4method{tax_table}{grouped_df_mpse}(object)

otutree(x, ...)

\S4method{otutree}{MPSE}(x, ...)

\S4method{otutree}{tbl_mpse}(x, ...)

\S4method{otutree}{MPSE}(x, ...)

otutree(x, ...) <- value

\S4method{otutree}{MPSE,treedata}(x, ...) <- value

\S4method{otutree}{MPSE,phylo}(x, ...) <- value

\S4method{otutree}{MPSE,NULL}(x, ...) <- value

\S4method{otutree}{tbl_mpse,treedata}(x, ...) <- value

\S4method{otutree}{grouped_df_mpse,treedata}(x, ...) <- value

\S4method{otutree}{tbl_mpse,NULL}(x, ...) <- value

\S4method{otutree}{grouped_df_mpse,NULL}(x, ...) <- value

taxatree(x, ...)

\S4method{taxatree}{MPSE}(x, ...)

\S4method{taxatree}{tbl_mpse}(x, ...)

\S4method{taxatree}{grouped_df_mpse}(x, ...)

taxatree(x, ...) <- value

\S4method{taxatree}{MPSE,treedata}(x, ...) <- value

\S4method{taxatree}{MPSE,NULL}(x, ...) <- value

\S4method{taxatree}{tbl_mpse,treedata}(x, ...) <- value

\S4method{taxatree}{tbl_mpse,NULL}(x, ...) <- value

\S4method{taxatree}{grouped_df_mpse,treedata}(x, ...) <- value

\S4method{taxatree}{grouped_df_mpse,NULL}(x, ...) <- value

taxonomy(x, ...) <- value

\S4method{taxonomy}{MPSE,data.frame}(x, ...) <- value

\S4method{taxonomy}{MPSE,matrix}(x, ...) <- value

\S4method{taxonomy}{MPSE,taxonomyTable}(x, ...) <- value

\S4method{taxonomy}{MPSE,NULL}(x, ...) <- value

refsequence(x, ...)

\S4method{refsequence}{MPSE}(x, ...)

refsequence(x, ...) <- value

\S4method{refsequence}{MPSE,XStringSet}(x, ...) <- value

\S4method{refsequence}{MPSE,NULL}(x, ...) <- value

\S4method{rownames}{MPSE}(x) <- value
}
\arguments{
\item{x}{MPSE object}

\item{i, j, ...}{Indices specifying elements to extract or replace.
Indices are 'numeric' or 'character' vectors or empty (missing) or
NULL.  Numeric values are coerced to integer as by 'as.integer' 
(and hence truncated towards zero).  Character vectors will be matched 
to the 'names' of the object (or for matrices/arrays, the 'dimnames')}

\item{drop}{logical If 'TRUE' the result is coerced to the lowest 
possible dimension (see the examples).  This only works for extracting 
elements, not for the replacement.}

\item{value}{XStringSet object or NULL}

\item{object}{parameter of tax_table, R object, MPSE class in here.}
}
\value{
taxonomyTable class
}
\description{
MPSE accessors
}
